## lscsoft-glue-2.0.0.tar.gz

=== test/Makefile ===
PYTHON ?= python

check : \
	glue_ligolw_ilwd_verify \
	iterutils_verify \
	lal_verify \
	ligolw_test01 \
	test_ligolw_array \
	test_ligolw_ligolw \
	test_ligolw_lsctables \
	test_ligolw_table \
	test_ligolw_tokenizer \
	test_ligolw_utils \
	test_ligolw_utils_segments
	@echo "All Tests Passed"

define printpassfail
	{ echo "Pass" ; true ; } || { echo "Fail" ; false ; }
endef

glue_ligolw_ilwd_verify :
	@echo "=== start glue_ligolw_ilwd_verify ===>"
	$(PYTHON) glue_ligolw_ilwd_verify.py && $(printpassfail)
	@echo "<=== end glue_ligolw_ilwd_verify ==="

iterutils_verify :
	@echo "=== start iterutils_verify ===>"
	$(PYTHON) iterutils_verify.py && $(printpassfail)
	@echo "<=== end iterutils_verify ==="

lal_verify :
	@echo "=== start lal_verify ===>"
	$(PYTHON) lal_verify.py && $(printpassfail)
	@echo "<=== end lal_verify ==="

ligolw_test01 :
	@echo "=== start ligolw_test01 ===>"
	# test reading array data from a file
	$(PYTHON) ligo_lw_test_01.py && $(printpassfail)
	@echo "<=== end ligolw_test01 ==="

test_ligolw_array :
	@echo "=== start test_ligolw_array ===>"
	$(PYTHON) test_ligolw_array.py && $(printpassfail)
	@echo "<=== end test_ligolw_array ==="

test_ligolw_ligolw :
	@echo "=== start test_ligolw_ligolw ===>"
	$(PYTHON) test_ligolw_ligolw.py && $(printpassfail)
	@echo "<=== end test_ligolw_ligolw ==="

test_ligolw_lsctables :
	@echo "=== start test_ligolw_lsctables ===>"
	$(PYTHON) test_ligolw_lsctables.py && $(printpassfail)
	@echo "<=== end test_ligolw_lsctables ==="

test_ligolw_table :
	@echo "=== start test_ligolw_table ===>"
	$(PYTHON) test_ligolw_table.py && $(printpassfail)
	@echo "<=== end test_ligolw_table ==="

test_ligolw_tokenizer :
	@echo "=== start test_ligolw_tokenizer ===>"
	$(PYTHON) test_ligolw_tokenizer.py && $(printpassfail)
	@echo "<=== end test_ligolw_tokenizer ==="

test_ligolw_utils :
	@echo "=== start test_ligolw_utils ===>"
	$(PYTHON) test_ligolw_utils.py && $(printpassfail)
	@echo "<=== end test_ligolw_utils ==="

test_ligolw_utils_segments :
	@echo "=== start test_ligolw_utils_segments ===>"
	$(PYTHON) test_ligolw_utils_segments.py && $(printpassfail)
	@echo "<=== end test_ligolw_utils_segments ==="

clean :
	rm -f ligo_lw_test_01*png

=== debian/changelog ===
lscsoft-glue (2.0.0-1) unstable; urgency=low

  * 2.0.0 version update with many changes and removal of segments subpackage

 -- ryan fisher <ryan.fisher@ligo.org>  Wed, 20 Feb 2019 17:42:00 -0500

lscsoft-glue (1.59.2-1) unstable; urgency=low

  * jun 2018 1.59.2 removing old m2crypto import hiding in ldbdwclient.py

 -- ryan fisher <ryan.fisher@ligo.org>  Tue, 19 Jun 2018 12:19:00 -0500

lscsoft-glue (1.59.1-1) unstable; urgency=low

  * Jun 2018 1.59.1 release adding more python 3 package generation. 

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 8 Jun 2018 01:19:00 -0500

lscsoft-glue (1.59.0-1) unstable; urgency=low

  * Jun 2018 1.59.0 release for removal of old code and several packaging and
    python 3 updates.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 5 Jun 2018 22:44:00 -0500

lscsoft-glue (1.58.2-1) unstable; urgency=low

  * March 2018 1.58.2 bug fix for 1.58 release with change to ligolw rows.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 13 Mar 2018 15:08:00 -0500

lscsoft-glue (1.58.1-1) unstable; urgency=low

  * February 2018 1.58.1 release with correct package numbering.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 20 Feb 2018 15:57:00 -0500

lscsoft-glue (1.58.0-1) unstable; urgency=low

  * February 2018 1.58.0 release to include python 3 and other updates.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 20 Feb 2018 15:53:00 -0500

lscsoft-glue (1.57.0-2) UNRELEASED; urgency=medium

  * local package

 -- Leo Singer <leo.singer@ligo.org>  Tue, 12 Dec 2017 20:49:10 +0000

lscsoft-glue (1.57.0-1) unstable; urgency=low

  * O2 mid-run updated release to include change to ssl libraries and Kipp
    packaging change.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 13 Jun 2017 17:14:00 -0500

lscsoft-glue (1.56.0-1) unstable; urgency=low

  * O2 mid-run updated release to include change to ssl libraries.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 4 May 2017 17:14:00 -0500

lscsoft-glue (1.55.2-1) unstable; urgency=low

  * Added install_requires to python installation.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Fri, 7 Apr 2017 18:14:00 -0500

lscsoft-glue (1.55.1-1) unstable; urgency=low

  * Fixes for Debian packaging.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 6 Apr 2017 18:14:00 -0500

glue (1.55.0-1) unstable; urgency=low

  * O2 mid-run updated release. Change sdist name for PyPi compatibility.

 -- Duncan Brown <duncan.brown@ligo.org>  Thu, 6 Apr 2017 16:39:00 -0500

glue (1.54.0-1) unstable; urgency=low

  * O2 mid-run updated release. Updated python 3 compatibility fix from Leo to
    fix Debian package build for lalsuite.  Various updates from Kipp.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Wed, 25 Jan 2017 16:14:00 -0500

glue (1.53.0-1) unstable; urgency=low

  * ER10 updated release. Python 3 compatibility from Leo, various updates
    from Kipp.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Wed, 19 Oct 2016 16:14:00 -0500

glue (1.52.0-1) unstable; urgency=low

  * ER10 release of glue.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Tue, 13 Sep 2016 08:54:00 -0500

glue (1.51.0-1) unstable; urgency=low

  * Pre-ER10 release of glue.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 11 Aug 2016 18:06:00 -0500

glue (1.50.0-1) unstable; urgency=low

  * Pre-ER9 release of glue.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 16 Jun 2016 17:37:00 -0500

glue (1.49.1-1) unstable; urgency=low

  * Pre-ER8 release of glue, attempt2.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Thu, 23 Jul 2015 16:37:00 -0500

glue (1.49-1) unstable; urgency=low

  * Pre-ER8 release of glue.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Wed, 22 Jul 2015 16:37:00 -0500

glue (1.48-1) unstable; urgency=low

  * ER7 release of glue.

 -- Ryan Fisher <ryan.fisher@ligo.org>  Fri, 22 May 2015 12:37:00 -0900

glue (1.47-2) unstable; urgency=low

  * added missing python modules to python-glue.install

 -- Steffen Grunewald <steffen.grunewald@ligo.org>  Thu, 11 Dec 2014 11:30:00 +0100

glue (1.47.1-1) unstable; urgency=low

  * ER6 pre-release of glue, bug fix for dmt-files method of
    ligolw_segment_query for Kipp API change.

 -- Ryan Fisher <rpfisher@syr.edu>  Wed, 19 Nov 2014 16:14:00 -0500

glue (1.47-1) unstable; urgency=low

  * ER6 pre-release of glue.

 -- Ryan Fisher <rpfisher@syr.edu>  Thu, 13 Nov 2014 16:14:00 -0500

glue (1.46.2-1) unstable; urgency=low

  * Making new version to match tag number.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 6 May 2014 14:14:00 -0500

glue (1.46.1-1) unstable; urgency=low

  * Adding glue.datafind to debian package.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 6 May 2014 11:14:00 -0500

glue (1.46-1) unstable; urgency=low

  * ER5 release of glue.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 3 Dec 2013 4:00:00 -0500

glue (1.45.1) unstable; urgency=low

  * ER4 release of glue, with spec file match.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 2 Jul 2013 10:50:00 -0500

glue (1.45) unstable; urgency=low

  * ER4 release of glue.

 -- Ryan Fisher <rpfisher@syr.edu>  Tue, 2 Jul 2013 10:23:00 -0500

glue (1.44.1) unstable; urgency=low

  * Post ER3 release of glue for pegasus 4.2 transition, added new RFC Proxy
    support.

 -- Ryan Fisher <rpfisher@syr.edu>  Thu, 7 Mar 2013 17:43:00 -0500

glue (1.44) unstable; urgency=low

  * Post ER3 release of glue for pegasus 4.2 transition.

 -- Ryan Fisher <rpfisher@syr.edu>  Fri, 1 Mar 2013 12:30:00 -0500

glue (1.43-1) unstable; urgency=low

  * Converted to source format 3.0 (quilt)
  * Versioned dependencies on -common and -segments

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Tue, 20 Nov 2012 10:35:00 +0100

glue (1.43) unstable; urgency=low

  * New Release of glue for ER3 with updates to ligolw and lal codes.

 -- Ryan Fisher <rpfisher@syr.edu>  Mon, 19 Nov 2012 16:59:00 -0500

glue (1.42-1) unstable; urgency=low

  * Converted to source format 3.0 (quilt)

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Wed, 5 Sep 2012 09:20:00 +0200

glue (1.42) unstable; urgency=low



=== debian/control ===
Source: lscsoft-glue
Section: python
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Homepage: https://www.lsc-group.phys.uwm.edu/daswg/projects/glue.html
Build-Depends: debhelper (>= 9),
               python-all-dev,
               python3-all-dev,
               python-matplotlib,
               python3-matplotlib,
               python-numpy,
               python3-numpy,
               python-setuptools,
               python3-setuptools,
               python-kerberos,
               python3-kerberos,
               python-six,
               python3-six,
               python-ligo-segments,
               python3-ligo-segments,
               dh-python,
               help2man
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8

Package: python-glue
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-cjson,
         python-kerberos,
         python-openssl,
         python-six,
         python-ligo-segments
Recommends: python-numpy (>= 1.0),
            python-xml,
            libsqlite3-0 (>= 3.3),
            pyrxp | python-pyrxp
Replaces: glue
Conflicts: glue
Description: Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python modules and programs to
 allow users to run LSC codes on the grid.

Package: python-glue-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-cjson,
         python-openssl,
         python-six
Recommends: python-numpy (>= 1.0),
            python-xml,
            libsqlite3-0 (>= 3.3),
            pyrxp | python-pyrxp
Description: Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python modules and programs to
 allow users to run LSC codes on the grid.
 Common routines.

Package: python3-glue
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-kerberos,
         python3-openssl,
         python3-six,
         python3-ligo-segments
Recommends: python3-numpy (>= 1.0),
            python3-xml,
            libsqlite3-0 (>= 3.3),
            pyrxp | python3-pyrxp
Replaces: glue
Conflicts: glue
Description: Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python3 modules and programs to
 allow users to run LSC codes on the grid.

Package: python3-glue-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-six
Recommends: python3-numpy (>= 1.0),
            python3-xml,
            libsqlite3-0 (>= 3.3),
            pyrxp | python3-pyrxp
Description: Grid LSC User Environment
 Glue (Grid LSC User Environment) is a suite of python3 modules and programs to
 allow users to run LSC codes on the grid.
 Common routines.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Automatically generate man pages with help2man
export PYBUILD_AFTER_INSTALL := \
	echo 'Automatically generating man pages with help2man' && \
	mkdir -p {destdir}/usr/share/man/man1 && \
	ls {destdir}/usr/bin | env PYTHONPATH={destdir}{install_dir} \
	xargs --verbose -I @ help2man --source $(DEB_SOURCE) \
	--version-string $(DEB_VERSION_UPSTREAM) --no-info --no-discard-stderr \
	{destdir}/usr/bin/@ -o {destdir}/usr/share/man/man1/@.1

# Run unit tests. Skip tests that require lal.
export PYBUILD_AFTER_TEST := env \
	PYTHONPATH={build_dir} \
	PYTHONDONTWRITEBYTECODE=1 \
	make -C {dir}/test PYTHON={interpreter} \
	-o lal_verify \
	-o ligolw_test01 \
	-o test_ligolw_lsctables \
	-o test_ligolw_table \
	-o test_ligolw_utils_segments

# Redirect Python 3 packages to a directory that we are going to ignore.
# FIXME: in the future, we could put these in libexec or change their names.
export PYBUILD_INSTALL_ARGS_python3 := --install-scripts=/dont-install

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild
